=== debian/changelog ===
tellico (4.1.4-2ubuntu1) resolute; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Add apparmor profile to fix userns.
    - For now make build time tests non fatal.

 -- Rik Mills <rikmills@kde.org>  Fri, 19 Dec 2025 07:52:00 +0000

tellico (4.1.4-2) unstable; urgency=medium

  * Skip Group_Statistics.xsl in HtmlExporterTest::testTemplatesTidy(), as
    this template is buggy, and removed upstream (already for 4.1.5+); patch
    tests-avoid-Group_Statistics.diff
    - drop patch xfail_libxml2.15.diff, obsoleted by the aforementioned patch
  * Backport the upstream MR
    https://invent.kde.org/office/tellico/-/merge_requests/30 to explicitly use
    signed char for a fallback-of-fallback XML sanitization method; patch
    Change-XML-removeInvalidXml-to-check-chars-as-explic.diff.
    (Closes: #1121706)
  * Switch the dbus test build dependency to dbus-daemon, as only
    dbus-run-session is needed. (Closes: #1122725)

 -- Pino Toscano <pino@debian.org>  Thu, 18 Dec 2025 09:05:48 +0100

tellico (4.1.4-1ubuntu2) resolute; urgency=medium

  * For now make build time tests non fatal.

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Dec 2025 23:07:57 +0000

tellico (4.1.4-1ubuntu1) resolute; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Add apparmor profile to fix userns.

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 11:56:18 +0000

tellico (4.1.4-1) unstable; urgency=medium

  * New upstream release.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Backport upstream commit beaa6edc3cd44536bfe0ae73a4685b581693ea76 to fix
    TellicoReadTest with libxml2 2.15; patch
    upstream_Adapt-XML-validation-tests-to-libxml2-2.15.patch.
  * Temporarily XFAIL two test cases in HtmlExporterTest::testTemplatesTidy()
    (the ones with Group_Statistics.xsl), as there seems to be a problem when
    loading the generated HTML file when using libxml2 2.15 (reported upstream
    as https://bugs.kde.org/show_bug.cgi?id=511207); patch
    xfail_libxml2.15.diff.
  * Print the leftover temporary files after running the tests, to easily spot
    leaked files.

 -- Pino Toscano <pino@debian.org>  Wed, 29 Oct 2025 10:43:23 +0100
