=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cd obj-* && $(MAKE) install DESTDIR=$(CURDIR)/test_root
	mkdir -p "$(CURDIR)/test_root/tmp"
	-xvfb-run -a --server-args="-screen 0 1024x768x24+32" dbus-run-session dh_auto_test --no-parallel -- XDG_DATA_DIRS=$(CURDIR)/test_root/usr/share:/usr/local/share:/usr/share TMPDIR="$(CURDIR)/test_root/tmp"
	# check leftover temporary files
	cd "$(CURDIR)/test_root/tmp" && find | sort
endif

execute_after_dh_auto_install:
	# extra copyright notices
	rm -fv debian/tmp/usr/share/tellico/pics/README.*
	mkdir -p debian/tmp/etc/apparmor.d
	cp debian/tellico-apparmor debian/tmp/etc/apparmor.d/usr.bin.tellico
	dh_apparmor --profile-name=usr.bin.tellico -ptellico

override_dh_python3:
	dh_python3 -p tellico-data --shebang=/usr/bin/python3 /usr/share/tellico/data-sources
