## tellico 4.1.4+p24.04+vstable+git20260114.1153

=== debian/changelog ===
tellico (4.1.4+p24.04+vstable+git20260114.1153-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 11:53:57 +0000

tellico (4.1.4-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Wed, 12 Nov 2025 10:45:36 +1000
