## tellico 4.1.4+p24.04+vstable+git20260122.0731

=== debian/changelog ===
tellico (4.1.4+p24.04+vstable+git20260122.0731-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 07:31:45 +0000
