=== debian/changelog ===
tellico (4.1.4+p24.04+vunstable+git20251128.0751-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 28 Nov 2025 07:51:16 +0000
