## tellico 4.1.4+p24.04+vunstable+git20251208.0257

=== debian/changelog ===
tellico (4.1.4+p24.04+vunstable+git20251208.0257-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 02:57:53 +0000
