=== debian/changelog ===
tellico (4.1.4+p24.04+vunstable+git20251211.0306-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Dec 2025 03:06:52 +0000
