## tellico 4.1.4+p24.04+vunstable+git20260103.0229

=== CMakeLists.txt ===
--- 
+++ 
@@ -51,6 +51,7 @@
 check_symbol_exists(strupr "string.h" HAVE_STRUPR)
 
 find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
+    Concurrent
     Core
     DBus
     Network
