=== src/fetch/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
 ########### next target ###############
 
 set(fetch_STAT_SRCS
+    abstractbggfetcher.cpp
     adsfetcher.cpp
     amazonfetcher.cpp
     amazonrequest.cpp
@@ -43,12 +44,14 @@
     imdbfetcher.cpp
     imdbfetcher_query.cpp
     isbndbfetcher.cpp
+    isfdbfetcher.cpp
     itunesfetcher.cpp
     kinofetcher.cpp
     kinopoiskfetcher.cpp
     kinoteatrfetcher.cpp
     messagehandler.cpp
     messagelogger.cpp
+    metronfetcher.cpp
     mobygamesfetcher.cpp
     moviemeterfetcher.cpp
     mrlookupfetcher.cpp
@@ -80,14 +83,14 @@
     newstuff
     utils
     ${TELLICO_BTPARSE_LIBS}
-    Qt${QT_MAJOR_VERSION}::Network
-    KF${KF_MAJOR_VERSION}::Archive
-    KF${KF_MAJOR_VERSION}::IconThemes
-    KF${KF_MAJOR_VERSION}::JobWidgets
-    KF${KF_MAJOR_VERSION}::KIOWidgets
-    KF${KF_MAJOR_VERSION}::ConfigWidgets
-    KF${KF_MAJOR_VERSION}::KIOGui
-    KF${KF_MAJOR_VERSION}::GuiAddons
+    Qt6::Network
+    KF6::Archive
+    KF6::IconThemes
+    KF6::JobWidgets
+    KF6::KIOWidgets
+    KF6::ConfigWidgets
+    KF6::KIOGui
+    KF6::GuiAddons
 )
 
 if(Yaz_FOUND)
